\documentclass[tikz,border=5]{standalone} 

\usetikzlibrary{shadows.blur}
\usetikzlibrary{shapes.symbols}

\usepackage{graphicx}
\usepackage{xcolor}
\usepackage{libertine}

\colorlet{mygreen}{green!35!black}

\begin{document}
\begin{tikzpicture}

%\node[draw=none,shade,
%      top color=white,
%      bottom color=white,
%      rounded corners=2pt,
%      minimum width=6.2cm,minimum height=6.2cm,
%      inner sep=0,
%      blur shadow={shadow blur steps=3}
%    ] (saito2005) at (7,0){};  

\node[inner sep=0] (saito2005) at (-5,-.85)
    {\includegraphics[trim = 3cm 1mm 0 0,clip=true,width=4cm]{saito2005}};
\node[inner sep=1pt,draw,color=gray,rounded corners=1pt,] (bak2009_det) at (-5,2.2)
    {\includegraphics[width=2.6cm]{saito2005_diag}};
\node (a) at (-5,-3.1) { \textcolor{mygreen}{A}};

\node[inner sep=0] (b) at (0,1.7)
    {\includegraphics[width=5cm]{Andrienko2004}};
\node (b) at (0,.3) { \textcolor{mygreen}{B}};

\node[inner sep=0] (c) at (0,-1.5)
    {\includegraphics[width=4cm]{shanbhag2005}};
\node (c) at (0,-3.1) { \textcolor{mygreen}{C}};
 
%\node[inner sep=0] (d) at (-2,-5)
%    {\includegraphics[width=5cm]{bak2009}};
%\node[inner sep=1pt,draw,color=gray,rounded corners=1pt,] (bak2009_det) at (5.5,-2.2)
%    {\includegraphics[width=2.5cm]{bak2009_det}};
\node[inner sep=0] (andrienko2011) at (-2.4,-5)
    {\includegraphics[trim = 0 0 0 2.5cm,clip=true,width=8cm]{andrienko2011}};
\node (d) at (-2.4,-6.7) { \textcolor{mygreen}{D}};

\node[inner sep=0] (shrestha2013) at (-1,-8)
    {\includegraphics[width=6.5cm]{shrestha2013}};
\node[inner sep=1pt] (shrestha2013_diag) at (-5.7,-8)
    {\includegraphics[width=2.5cm]{shrestha2013_diag}};  
\node (e) at (-2.4,-9.4) { \textcolor{mygreen}{E}};
   
\end{tikzpicture}
\end{document}

